Module ModuleHelpers
    ''' <summary>
    ''' Überprüft einen Wert auf verschiedene Arten von "Null" und gibt einen Standard-Wert zurück, wenn der Wert "Null" ist.
    ''' </summary>
    ''' <param name="value">Der zu überprüfende Wert</param>
    ''' <param name="defaultValue">Der Standard Wert</param>
    ''' <returns>value oder wenn dieser "Null" ist, defaultValue</returns>
    Public Function NotNull(Of T)(ByVal value As T, ByVal defaultValue As T) As T
        If IsNothing(value) OrElse String.IsNullOrEmpty(value.ToString) OrElse IsDBNull(value) Then
            Return defaultValue
        Else
            Return value
        End If
    End Function
End Module
